﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.IO;
using System.Linq;
using System.Threading.Tasks;
using System.Windows;

namespace VolgaIt
{
    /// <summary>
    /// Логика взаимодействия для App.xaml
    /// </summary>
    public partial class App : Application
    {

        private void Application_Startup(object sender, StartupEventArgs e)
        {
            if (e.Args.Length == 2)
            {
                string path = e.Args[1];
                if (File.Exists(path))
                {
                    Controller controller = new Controller();
                    String mapString = File.ReadAllText(e.Args[1]);
                    controller.SearchRoad(mapString);
                    System.Windows.Application.Current.Shutdown();
                }
                else
                    OpenUI();
            }
            else
                OpenUI();
        }

        public void OpenUI()
        {
            MainWindow wnd = new MainWindow();
            wnd.Show();
        }

    }
}
